package speiger.src.coreengine.utils.collections.iterators;

import java.util.Iterator;

public class ReadOnlyIterator<T> implements Iterator<T>
{
	Iterator<T> data;
	
	public ReadOnlyIterator(Iterator<T> iter)
	{
		data = iter;
	}
	
	@Override
	public boolean hasNext()
	{
		return data.hasNext();
	}

	@Override
	public T next()
	{
		return data.next();
	}

}
